version: '3'

services:
  reverse-proxy:
    image: traefik:v2.10
    container_name: traefik
    restart: unless-stopped
    ports:
      - "80:80"
      - "443:443"
    command:
      - "--log.level=DEBUG"
      - "--api.insecure=true"
      - "--providers.docker=true"
      - "--entrypoints.https.address=:443"
    #Директория откуда traefik будет брать конфигурации 
      - "--providers.file.directory=/data"
      - "--providers.file.watch=true"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "./data/:/data/"
    #Директория откуда traefik будет брать сертификаты    
      - "./ssl/:/ssl/"
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.traefik.entrypoints=https"
    #Укажите хост дефолтного роутера traefik
      - "traefik.http.routers.traefik.rule=Host(`rproxy.testdomain1.ru`) || Host('rproxy.testdomain2.ru)"
      - "traefik.http.routers.traefik.tls=true"
      - "traefik.http.routers.traefik.service=api@internal"
      - "traefik.http.services.traefik-traefik.loadbalancer.server.port=888"
    #Базовая защита с BasicAuth
      - "traefik.http.middlewares.traefik-auth.basicauth.users=admin:$$apr1$$NQQOgk9H$$CfrO7jajDS8KBZns2TWRz1"
      - "traefik.http.routers.traefik.middlewares=traefik-auth"
